package com.fjhx.form.entity;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class OrderSummaryBo extends BasePo {
    @ColumnWidth(15)
    @ExcelProperty("订单编号")
    private String contractCode;
    /**
     * 业务员
     */
    private Long salesmanId;
    @ColumnWidth(15)
    @ExcelProperty("业务员")
    private String salesmanName;
    /**
     * 跟单员
     */
    private Long merchUserId;
    @ColumnWidth(15)
    @ExcelProperty("跟单员")
    private String merchUserName;

    @ColumnWidth(15)
    @ExcelProperty("订单类型")
    private String contractType;
    @ColumnWidth(15)
    @ExcelProperty("订单性质")
    private String belongType;
    @ColumnWidth(15)
    @ExcelProperty("销售金额")
    private BigDecimal amount;
    /**
     * 订单出货金额（工厂供货价）
     */
    @ColumnWidth(18)
    @ExcelProperty("订单出货金额")
    private BigDecimal factoryAmount;
    /**
     * 出货申请金额（实际出货的工厂供货价）
     */
    @ColumnWidth(18)
    @ExcelProperty("出货申请金额")
    private BigDecimal sumOutFactoryMoney;
    @ColumnWidth(15)
    @ExcelProperty("已收定金")
    private BigDecimal deposit;
    /**
     * 差额调整
     */
    private String difference;
    @ColumnWidth(15)
    @ExcelProperty("是否可结算")
    private String isSettlement;
    /**
     * 结算开始时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date settleStartDate;
    /**
     * 结算结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date settleEndDate;
    @ColumnWidth(20)
    @ExcelProperty("是否已结算")
    private String settleDateStr;

    @ColumnWidth(20)
    @ExcelProperty("客户名称")
    private String customerName;
    @ColumnWidth(15)
    @ExcelProperty("客户简称")
    private String customerShortName;
    @ColumnWidth(15)
    @ExcelProperty("应收金额")
    private BigDecimal receivableAmount;
    @ColumnWidth(15)
    @ExcelProperty("收款金额")
    private BigDecimal sumClaimMoney;
    @ColumnWidth(15)
    @ExcelProperty("未收金额")
    private BigDecimal outstandingAmount;
    /**
     * 出货日期（第一次出货）
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date firstTruckDate;

    @ColumnWidth(15)
    @ExcelProperty("出货日期")
    private String firstTruckDateStr;

    @ColumnWidth(15)
    @ExcelProperty("账龄级别")
    private String accountAge;
}
