package com.fjhx.form.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.form.entity.*;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface ReportMapper {

    Page<ProductionReportBo> productionReport(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

    Page<SaleReportBo> saleReport(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

    Page<WaitShipmentReportBo> waitShipmentReport(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

    List<WaitShipmentReportStatisticBo> waitShipmentReportStatistic();

    Page<OrderSummaryBo> orderSummary(@Param("page") Page<Object> page, @Param("dto") OrderSummarySelectDto dto, @Param("ew") IWrapper<Object> wrapper);

    List<OrderSummaryBo> orderSummary(@Param("dto") OrderSummarySelectDto dto, @Param("ew") IWrapper<Object> wrapper);

    List<ReceivableCheckBo> receivableCheck(@Param("dto") ReceivableCheckSelectDto dto, @Param("ew") IWrapper<Object> wrapper);

    /**
     * 获取客户某年每月 装车金额，到账金额
     */
    List<CustomerMonthlyAccounts> getCustomerMonthlyAccounts(@Param("year") Integer year);

    /**
     * 员工绩效
     */
    List<UserPerformanceBo> userPerformanceReport(@Param("dataDate") Date dataDate, @Param("userId") Long userId);
}
