package com.fjhx.oa.entity.invoice.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 开票申请
 * </p>
 *
 * @author
 * @since 2024-04-13
 */
@Getter
@Setter
@TableName("invoice_apply")
public class InvoiceApply extends BasePo {

    /**
     * 审批状态
     */
    private Integer status;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 申请时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 编号
     */
    private String code;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 申请场景
     */
    private String applyScenario;

    /**
     * 下单渠道
     */
    private String orderingChannels;

    /**
     * 要求备注
     */
    private String askRemark;

    /**
     * 聚水潭订单号
     */
    private String jstOrderCode;

    /**
     * 是否在票面备注现金
     */
    private Integer isCashNoted;

    /**
     * 是否匹配订单
     */
    private Integer isMatchOrder;

    /**
     * 收款情况
     */
    private String paymentSituation;

    /**
     * 税点结算
     */
    private String taxPointSettle;

    /**
     * 税点结算金额
     */
    private String taxPointSettleAmount;

    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 开票类型
     */
    private String billingType;

    /**
     * 买方公司id
     */
    private String sellerCompanyId;

    /**
     * 卖方纳税人识别号
     */
    private String sellerTaxpayerCode;

    /**
     * 买方纳税人识别号
     */
    private String buyerTaxpayerCode;

    /**
     * 卖方地址
     */
    private String sellerAddress;

    /**
     * 卖方电话
     */
    private String sellerTel;

    /**
     * 买方地址
     */
    private String buyerAddress;

    /**
     * 买方电话
     */
    private String buyerTel;

    /**
     * 卖方开户行
     */
    private String sellerAccountBank;

    /**
     * 卖方账号
     */
    private Integer sellerAccountNumber;

    /**
     * 买方开户行
     */
    private String buyerAccountBank;

    /**
     * 买方账号
     */
    private Integer buyerAccountNumber;

    /**
     * 总金额含税
     */
    private BigDecimal amountIncludingTax;

    /**
     * 票面备注
     */
    private String ticketRemark;

}
