package com.fjhx.oa.entity.invoice.po;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 电子发票抵扣申请
 * </p>
 *
 * @author
 * @since 2024-04-11
 */
@Getter
@Setter
@TableName("invoice_tax_deduction")
public class InvoiceTaxDeduction extends BasePo {

    /**
     * 申请时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 审批状态
     */
    private Integer status;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 编号
     */
    private String code;

    /**
     * 发票金额
     */
    private BigDecimal amount;

    /**
     * 抵扣工资月
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM")
    @JSONField(format = "yyyy-MM")
    private Date deductionSalaryMonth;

    /**
     * 公司id
     */
    private Long companyId;

}
