package com.fjhx.oa.entity.user.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.sql.Time;
import java.util.Date;

/**
 * <p>
 * 用户薪资备份表
 * </p>
 *
 * @author
 * @since 2024-06-18
 */
@Getter
@Setter
@TableName("user_salary")
public class UserSalary extends BasePo {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 数据版本
     */
    private Integer dataVer;

    /**
     * 是否是当前版本
     */
    private Integer isCurrentVer;

    /**
     * 10实习员工、20试用员工、30正式员工
     */
    private String employeeType;

    /**
     * 试用期薪资比例
     */
    private BigDecimal probationRatio;

    /**
     * 实习期薪资比例
     */
    private BigDecimal internshipRatio;

    /**
     * 计件薪资
     */
    private String perfAmount;

    /**
     * 薪资合计
     */
    private BigDecimal amount;

    /**
     * 学历
     */
    private String education;

    /**
     * 岗位
     */
    private String post;

    /**
     * 试用期
     */
    private Integer probationPeriod;

    /**
     * 入职日期
     */
    private Date entryDate;

    /**
     * 生效日期
     */
    private Date effectiveDate;

    /**
     * 转正日期
     */
    private Date fullTimeDate;

    /**
     * 月休
     */
    private Integer monthRest;

    /**
     * 日工作时长
     */
    private Integer dailyHours;

    /**
     * 上午开始工作时间
     */
    private Time morningBeginTime;

    /**
     * 上午结束工作时间
     */
    private Time morningEndTime;

    /**
     * 下午开始工作时间
     */
    private Time afternoonBeginTime;

    /**
     * 下午结束工作时间
     */
    private Time afternoonEndTime;

    /**
     * 薪资结算方式 10考勤结算 20业绩/计件结算
     */
    private String settleMethod;

    /**
     * 薪资说明
     */
    private String salaryRemark;

}
