package com.fjhx.oa.entity.user.po;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 员工薪资管理
 */
@Getter
@Setter
@TableName("sys_user")
public class UserSalaryManage {

    @TableId
    private Long userId;
    private Long companyId;
    private Long deptId;
    private String nickName;
    private Long phonenumber;

    /**
     * 10实习员工、20试用员工、30正式员工
     */
    private Integer employeeType;
    /**
     * 试用期薪资比例
     */
    private BigDecimal probationRatio;
    /**
     * 实习期薪资比例
     */
    private BigDecimal internshipRatio;
    /**
     * 薪资合计
     */
    private BigDecimal amount;
    private BigDecimal perfAmount;
    /**
     * 学历
     */
    private String education;
    /**
     * 岗位
     */
    private String post;
    /**
     * 试用期
     */
    private Integer probationPeriod;
    /**
     * 入职时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date entryDate;
    /**
     * 生效日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date effectiveDate;
    /**
     * 转正日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date fullTimeDate;
    /**
     * 月休
     */
    private Integer monthRest;
    /**
     * 日工作时长
     */
    private Integer dailyHours;
    /**
     * 上午开始工作时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private Date morningBeginTime;
    /**
     * 上午结束工作时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private Date morningEndTime;
    /**
     * 下午开始工作时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private Date afternoonBeginTime;
    /**
     * 下午结束工作时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private Date afternoonEndTime;
    /**
     * 薪资结算方式
     */
    private String settleMethod;
    /**
     * 薪资说明
     */
    private String salaryRemark;

}
