package com.fjhx.oa.service.promotion.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.oa.entity.promotion.dto.PromotionApplySelectDto;
import com.fjhx.oa.entity.promotion.po.PromotionApply;
import com.fjhx.oa.entity.promotion.vo.PromotionApplyVo;
import com.fjhx.oa.mapper.promotion.PromotionApplyMapper;
import com.fjhx.oa.service.promotion.PromotionApplyService;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.ruoyi.common.utils.wrapper.SqlField;
import com.ruoyi.system.utils.UserUtil;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;


/**
 * <p>
 * 转正申请 服务实现类
 * </p>
 *
 * @author
 * @since 2024-06-19
 */
@Service
public class PromotionApplyServiceImpl extends ServiceImpl<PromotionApplyMapper, PromotionApply> implements PromotionApplyService {

    @Override
    public Page<PromotionApplyVo> getPage(PromotionApplySelectDto dto) {
        IWrapper<PromotionApply> wrapper = getWrapper();

        wrapper.keyword(dto.getKeyword(), new SqlField("su.nick_name"));


        //权限过滤 自己看自己，财务看全部
        List<String> userRoleKeys = UserUtil.getUserRoleKeys(SecurityUtils.getUserId());
        if (!userRoleKeys.contains("cfo")) {
            wrapper.eq("pa", PromotionApply::getCreateUser, SecurityUtils.getUserId());
        }

        wrapper.orderByDesc("pa", PromotionApply::getId);
        Page<PromotionApplyVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);

        UserUtil.assignmentNickName(page.getRecords(), PromotionApplyVo::getCreateUser, PromotionApplyVo::setUserName);

        return page;
    }

    @Override
    public PromotionApplyVo detail(Long id) {
        PromotionApply PromotionApply = this.getById(id);
        PromotionApplyVo result = BeanUtil.toBean(PromotionApply, PromotionApplyVo.class);
        UserUtil.assignmentNickName(Collections.emptyList(), PromotionApplyVo::getCreateUser, PromotionApplyVo::setUserName);
        return result;
    }

}
